
From: Johannes Stezenbach <js@linuxtv.org>

clear up confusion between ids and adapters (Kenneth Aafloy)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/dvb-core/dvbdev.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN drivers/media/dvb/dvb-core/dvbdev.c~dvb-clear-up-confusion-between-ids-and-adapters drivers/media/dvb/dvb-core/dvbdev.c
--- 25/drivers/media/dvb/dvb-core/dvbdev.c~dvb-clear-up-confusion-between-ids-and-adapters	2005-03-21 20:58:27.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dvb-core/dvbdev.c	2005-03-21 20:58:27.000000000 -0800
@@ -51,9 +51,10 @@ static const char * const dnames[] = {
 	"net", "osd"
 };
 
-#define DVB_MAX_IDS              6
-#define nums2minor(num,type,id)  ((num << 6) | (id << 4) | type)
-#define MAX_DVB_MINORS           (DVB_MAX_IDS*64)
+#define DVB_MAX_ADAPTERS	8
+#define DVB_MAX_IDS		4
+#define nums2minor(num,type,id)	((num << 6) | (id << 4) | type)
+#define MAX_DVB_MINORS		(DVB_MAX_ADAPTERS*64)
 
 static struct class_simple *dvb_class;
 
@@ -267,7 +268,7 @@ static int dvbdev_get_free_adapter_num (
 {
 	int num = 0;
 
-	while (1) {
+	while (num < DVB_MAX_ADAPTERS) {
 		struct list_head *entry;
 		list_for_each (entry, &dvb_adapter_list) {
 			struct dvb_adapter *adap;
_
